# Class LayerUtil

游戏摄像机层管理工具

#### Hierarchy

- LayerUtil

- Defined in assets/core/utils/LayerUtil.ts:34

#####
Index

### Constructors

constructor

### Properties

AVATAR
DEFAULT
EDITOR
GIZMOS
IGNORE_RAYCAST
MAP
PROFILTER
SCENE_GIZMO
UI_2D
UI_3D

### Methods

setNodeLayer

## Constructors

### constructor

- new LayerUtil(): LayerUtil

- #### Returns LayerUtil

## Properties

### `Static` AVATAR

AVATAR: LayerItem = ...

替身对象层

- Defined in assets/core/utils/LayerUtil.ts:38

### `Static` DEFAULT

DEFAULT: LayerItem = ...

默认对象层

- Defined in assets/core/utils/LayerUtil.ts:52

### `Static` EDITOR

EDITOR: LayerItem = ...

编辑器对象层

- Defined in assets/core/utils/LayerUtil.ts:43

### `Static` GIZMOS

GIZMOS: LayerItem = ...

- Defined in assets/core/utils/LayerUtil.ts:41

### `Static` IGNORE_RAYCAST

IGNORE_RAYCAST: LayerItem = ...

- Defined in assets/core/utils/LayerUtil.ts:40

### `Static` MAP

MAP: LayerItem = ...

地图对象层

- Defined in assets/core/utils/LayerUtil.ts:36

### `Static` PROFILTER

PROFILTER: LayerItem = ...

引擎分析工具层

- Defined in assets/core/utils/LayerUtil.ts:50

### `Static` SCENE_GIZMO

SCENE_GIZMO: LayerItem = ...

- Defined in assets/core/utils/LayerUtil.ts:46

### `Static` UI_2D

UI_2D: LayerItem = ...

二维对象层

- Defined in assets/core/utils/LayerUtil.ts:48

### `Static` UI_3D

UI_3D: LayerItem = ...

三维对象层

- Defined in assets/core/utils/LayerUtil.ts:45

## Methods

### `Static` setNodeLayer

- setNodeLayer(item: LayerItem, node: Node): void

- 设置节点层

  #### Parameters

  - ##### item: LayerItem

    层数据

  - ##### node: Node

    节点

  #### Returns void

  - Defined in assets/core/utils/LayerUtil.ts:59

Generated using TypeDoc